Package org.eclipse.net4j.util.ui.container

## Interface IElementWizard

- All Known Implementing Classes:
    `ElementWizard`

      public interface IElementWizard

  Since:
    3.1
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `create​(Composite parent, IManagedContainer container, java.lang.String productGroup, java.lang.String factoryType, java.lang.String defaultDescription, ValidationContext context)` |
    `java.lang.String` | `getResultDescription()` |
    `java.lang.Object` | `getResultElement()` |

- - ### Method Detail

    - #### create

          void create​(Composite parent,
                      IManagedContainer container,
                      java.lang.String productGroup,
                      java.lang.String factoryType,
                      java.lang.String defaultDescription,
                      ValidationContext context)

    - #### getResultDescription

          java.lang.String getResultDescription()

    - #### getResultElement

          java.lang.Object getResultElement()